Restricts the color range from 0 to the quantum depth.

- « Imagick::chopImage

- Imagick::clear »

- PHP Manual
- Imagick
- Restricts the color range from 0 to the quantum depth.

# Imagick::clampImage

(PECL imagick 3 >= 3.3.0)

Imagick::clampImage — Restricts the color range from 0 to the quantum depth.

### Description

public Imagick::clampImage(int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Restricts the color range from 0 to the quantum depth.

### Parameters

`channel`

### Return Values

Returns `true` on success or `false` on failure.